#!/usr/bin/env python

import os


################### bzrRev: uses bzr branch (if exists) information to 
# determine a unique revision number
def bzrRev():
    if os.path.exists(".bzr"):
       os.system("bzr version-info --python> version.py")
       from string import Template
       import version  #import newly generated version.py file
       fich = open("bzrrev.h","w")
       
       template=Template("""/* This file was generated by the "bzrRev" function
 * in SConstruct      
 * You should not modify it manually, as it may be re-generated.

 */

#ifndef BZRREH_H
#define BZRREV_H

#define BZR_REV		 $revno
#define BZR_REVSTR      "$revno"
#define BZR_BRANCHNICK	"$branch_nick"
#define BZR_REVDATE	"$date"
#define BZR_REVID	"$revision_id"
#define SVN_MODIFIED	"$clean"

#endif /* BZRREV_H */


""")
       fich.write(template.substitute(version.version_info))
    


bzrRev()